'use strict';

var _commonjsHelpers = require('../../../_virtual/_commonjsHelpers.js');
require('./fs/index.js');
var index$1 = require('./copy/index.js');
var index$2 = require('./empty/index.js');
var index$3 = require('./ensure/index.js');
var index$4 = require('./json/index.js');
var index$5 = require('./mkdirs/index.js');
var index$6 = require('./move/index.js');
var index$7 = require('./output-file/index.js');
var index$8 = require('./path-exists/index.js');
var index$9 = require('./remove/index.js');
var index = require('../../../_virtual/index20.js');

var lib = {
  // Export promiseified graceful-fs:
  ...index.__exports,
  // Export extra methods:
  ...index$1.copy,
  ...index$2.empty,
  ...index$3.ensure,
  ...index$4.json,
  ...index$5.mkdirs,
  ...index$6.move,
  ...index$7.outputFile_1,
  ...index$8.pathExists_1,
  ...index$9.remove_1
};

var fsExtra = /*@__PURE__*/_commonjsHelpers.getDefaultExportFromCjs(lib);

module.exports = fsExtra;
